Skip to main content
`Ctrl`+`K`
scipy.signal.ShortTimeFFT.

# k_max

ShortTimeFFT.k_max(n)

  First sample index after signal end not touched by a time slice.

  `k_max` - 1 is the largest sample index of the slice `p_max` - 1 for a given input signal of n samples. A detailed example is provided in the Sliding Windows section of the SciPy User Guide.

  Parameters:
    n int

      Number of samples of input signal (must be ≥ half of the window length).

  See also

  `k_min`

    The smallest possible signal index.

  `p_min`

    The smallest possible slice index.

  `p_max`

    Index of first non-overlapping upper time slice.

  `p_num`

    Number of time slices, i.e., `p_max` - `p_min`.

  `p_range`

    Determine and validate slice index range.

  `ShortTimeFFT`

    Class this method belongs to.